"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setupInteractions = setupInteractions;
var _nodeReadline = _interopRequireDefault(require("node:readline"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function setupInteractions(handlers, logger = console) {
  if (!process.stdin.setRawMode) {
    logger.warn('Interactive mode is not supported in this environment');
    return;
  }
  _nodeReadline.default.emitKeypressEvents(process.stdin);
  process.stdin.setRawMode(true);
  process.stdin.on('keypress', (_key, data) => {
    const {
      ctrl,
      name
    } = data;
    if (ctrl === true) {
      switch (name) {
        case 'c':
          process.exit();
          break;
        case 'z':
          process.emit('SIGTSTP', 'SIGTSTP');
          break;
      }
    } else if (name === 'r') {
      handlers.onReload?.();
      logger.info('Reloading app');
    } else if (name === 'd') {
      handlers.onOpenDevMenu?.();
      logger.info('Opening developer menu');
    }
  });
}
//# sourceMappingURL=setupInteractions.js.map