"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.normalizeStatsOptions = normalizeStatsOptions;
exports.writeStats = writeStats;
var _nodeFs = _interopRequireDefault(require("node:fs"));
var _promises = require("node:stream/promises");
var _jsonExt = require("@discoveryjs/json-ext");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function normalizeStatsOptions(options, preset) {
  if (preset !== undefined) {
    return {
      preset: preset
    };
  } else if (options === true) {
    return {
      preset: 'normal'
    };
  } else if (options === false) {
    return {
      preset: 'none'
    };
  } else {
    return options;
  }
}
async function writeStats(stats, filepath, logger = console) {
  // TODO normalize filepath
  logger.info(`Writing compiler stats`);
  try {
    // Stats can be fairly big at which point their JSON no longer fits into a single string.
    // Approach was copied from `webpack-cli`: https://github.com/webpack/webpack-cli/blob/c03fb03d0aa73d21f16bd9263fd3109efaf0cd28/packages/webpack-cli/src/webpack-cli.ts#L2471-L2482
    const statsStream = (0, _jsonExt.stringifyStream)(stats);
    const outputStream = _nodeFs.default.createWriteStream(filepath);
    await (0, _promises.pipeline)(statsStream, outputStream);
    logger.info(`Wrote compiler stats to ${filepath}`);
  } catch (error) {
    logger.error(String(error));
    process.exit(2);
  }
}
//# sourceMappingURL=setupStatsWriter.js.map